<?php
/*
# Fuer debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);
#echo __LINE__."<br>";
*/

include_once './classes/TestProjektSmarty.class.php';
$smarty = new Smarty();
require_once("./config.inc.php");
$template = "standard";
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
require_once "./language/german.inc.php";
require_once("func_rollenrechte.php");
require_once "func_genUser.php";

// Rechteüberprüfung
#$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
if(!rore($user_admin,'a_parameter','RE')){echo "Keine Rechte";exit;}
// Rechteüberprüfung ende



session_start();



# Wenn Seite neu aufgerufen wird, dann alle Sessions, die mit "bearbeiten_" beginnen löschen
if(isset($_GET['new']) AND $_GET['new'] == 1){;
  $search_prefix = 'parameter_';
  $search_len = strlen($search_prefix);
  foreach( $_SESSION as $key => $value){
    if ( substr( $key, 0, $search_len) == $search_prefix) {
      unset( $_SESSION[$key]);
    }
  }
}



if(isset($_GET['action'])){
  $action = $_GET['action'];
}else{
  $action = '';
}

if($action == ''){

    $query2 = "SELECT pid, bezeichnung, wert1, wert2
                  FROM prog_parameter
                 WHERE pid > 1
              ORDER BY bezeichnung ASC";
    $result2 = $db->query( $query2)
              or die ("Cannot execute query2");

    while ($row2 = $result2->fetch_array()){
      $value_par[] = $row2;
    }
    $smarty->assign('table_data', $value_par);
    


}
   
if($action == 'save'){


    $query2 = "SELECT pid
                  FROM prog_parameter
                 WHERE pid > 1
              ORDER BY bezeichnung ASC";
    $result2 = $db->query( $query2)
              or die ("Cannot execute query2");

    while ($row2 = $result2->fetch_array()){
      $pid = $row2['pid'];
      $pid_value = $_POST[$pid];
      $sql1 = $db->query( "UPDATE prog_parameter 
                              SET wert1 = '$pid_value'
                            WHERE pid = $pid
                         " );
                         
    }                       
      
      if(!$sql1){
        $error = TRUE;
        $error_reason .= "Fehler beim anlegen von Stammdaten (prog_admin)<br>";
      }else{
        $error = FALSE;
        $smarty->assign('parameter_inserterr', "2");
      }

      if($error){ 
        $smarty->assign('parameter_inserterr', "1");
        $smarty->assign('parameter_reason', "$error_reason");  // Kein Mailversand
      } // Ende IF : Insert hat geklappt
    
    session_destroy();
}


$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>